View Issue Details

IDProjectCategoryView StatusLast Update
0002232Far ManagerEditorpublic2013-01-15 12:49
Reporterv2ike6udikAssigned To2useven10 
PriorityhighSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002232: Find/Replace is off by word length
DescriptionFind/Replace text is off by search word length.

In editor both find and replace is affected.
In viewer find works OK.
Steps To Reproduce* open document which contains text 1234567890123
* replace 12345 with xxx
* expected result xxx67890123
* real result 12345xxx123
Additional InformationFirst noticed in build 2980, still in build 3042. Tested without plugins.

It might be a bit magic bug. It is not always there. But when it is there, it likes to stay there. (Or maybe I havent replaced anything for a while).

I looked at the changelog and saw that somone did recently some changes in that department.
TagsNo tags attached.
Build3044

Activities

v2ike6udik

2012-12-22 23:48

reporter  

2useven10

2012-12-23 06:51

developer   bugnote:0009895

Last edited: 2012-12-23 12:49

View 3 revisions

[ ] Cursor at end --- ok
[x] Cursor at end --- bug

2useven10

2012-12-23 14:27

developer   bugnote:0009896

3044

Issue History

Date Modified Username Field Change
2012-12-22 23:48 v2ike6udik New Issue
2012-12-22 23:48 v2ike6udik File Added: far-replace-bug-Far 3.0 (build 3042) x86.png
2012-12-23 06:51 2useven10 Note Added: 0009895
2012-12-23 06:51 2useven10 Note Edited: 0009895 View Revisions
2012-12-23 12:49 2useven10 Note Edited: 0009895 View Revisions
2012-12-23 14:27 2useven10 Note Added: 0009896
2012-12-23 14:27 2useven10 Assigned To => 2useven10
2012-12-23 14:27 2useven10 Status new => feedback
2013-01-15 12:49 2useven10 Build => 3044
2013-01-15 12:49 2useven10 Status feedback => closed
2013-01-15 12:49 2useven10 Resolution open => fixed
2013-01-15 12:49 2useven10 Fixed in Version => 3.0